Page MenuHomePhabricator

ContentTranslation shows invalid target language codes as gray links, for example "en-us" and "qqx"
Closed, ResolvedPublic

Description

Since https://gerrit.wikimedia.org/r/#/c/237084/ invalid target language codes are shown as gray links, for example "en-us" and "qqx", if you have them in your previous languages or Accept-Language.

Event Timeline

Amire80 created this task.Sep 18 2015, 6:28 AM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 6:28 AM

Change 239323 had a related patch set uploaded (by Amire80):
Revert "Do not call cxserver to display gray interwiki link"

https://gerrit.wikimedia.org/r/239323

Issue screenshot:

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 18 2015, 12:52 PM
Meirae added a subscriber: Meirae.Sep 20 2015, 12:19 AM

Change 239323 merged by jenkins-bot:
Revert "Do not call cxserver to display gray interwiki link"

https://gerrit.wikimedia.org/r/239323

Change 239819 had a related patch set uploaded (by KartikMistry):
Revert "Do not call cxserver to display gray interwiki link"

https://gerrit.wikimedia.org/r/239819

Change 239819 merged by jenkins-bot:
Revert "Do not call cxserver to display gray interwiki link"

https://gerrit.wikimedia.org/r/239819

Arrbee closed this task as Resolved.Sep 22 2015, 7:42 AM
Arrbee claimed this task.
Arrbee moved this task from Backlog to Done on the LE-CX6-Sprint 4 board.